Turn off translucency when moving and resizing windows - Resolved WONTFIX
Closed, WontfixPublic

Description

Kubuntu is the most likely KDE-based distro to be adopted in a business environment due to its Ubuntu roots (businesses want to reduce risk compared to a known quantity). Accordingly, we should audit the default visual presentation to make sure it's as professional as possible.

One thing that I think has to go is the default setting of making windows translucent when moving or resizing them. This effect seems really gimmicky and unprofessional, and no other major operating system implements it. It's pure eye candy, but it's not even particularly useful eye candy since the translucency obscures the window's contents as you're resizing it.

GUI-wise, this setting is in System Settings > Desktop Behavior > Desktop Effects > Translucency. It defaults to on; we should turn it off.

(Upstream task to make this this default is tracked in https://phabricator.kde.org/T7682)

ngraham created this task.Feb 1 2018, 7:31 PM
ngraham updated the task description. (Show Details)Feb 1 2018, 7:38 PM

Turning that effect on and off for me shows no difference when resizing or moving windows, so I have no opinion. On the other hand, turning off effects seems sane unless there is wide-spread support for having them.

So +1 from me.

You'll only see it if your graphics hardware supports it; do you run with compositing off? Do you normally see window shadows?

I have nvidia which I imagine supports it, but I rarely meddle with settings. How would I know if compositing were on or off? I don't think I see shadows.

If you hit Shift+Alt+F12, do the shadows come back? This isn't really my area of expertise, but it sounds like there's something fairly seriously wrong with your configuration!

They do come back indeed. I wonder if I turned that off sometime by mistake.

Probably! That's the "toggle compositing" keyboard shortcut. You should see shadows and translucency now to make an accurate evaluation regarding whether we might want to turn off the translucency.

Aha, now I see the difference. And while I sort of like it is no professional, as you say.

So you have my +1 to this change.

ach added a subscriber: ach.Feb 2 2018, 10:12 AM

a big bold -1 from my side IMO. I use the effect every day when placing windows relative to each other that overlap.

At work at least I never seen nobody disabling the effect (which does not imply everyone would enable it when the default is off)

I've no idea: what defines if a effect is professional or not? I understand: (not) useful , or (not) cool, or (not) confusing.
But professional?

FWIW: This effect was discussed quite some time ago in kubuntu-devel AFAIR and decision was to keep it.

ach added a comment.Feb 2 2018, 10:16 AM

Despite that I disagree here with Nate, I want to say: a big bold thank you Nate! I'm really impressed by the great job you do in public relation and usablility! Thx a lot!

Thanks for your kind words, @ach. I want to stress here that I'm not trying to bash the feature or claim that it's useless, but rather that it doesn't make a good default setting. Folks like you can (and will) change your defaults and could easily turn this on, but most people won't, and it's up to us to think empathetically about them.

I'm thinking of people not like you or me, but like my wife, my father, or the payroll department at my work. I can't see what this effect brings to them to outweigh the confusion, frustration, or loss of confidence that can arise from having opaque things suddenly become transparent when being changed, in a way that's unfamiliar and has no analogue on other computer platforms that may have used in the past.

I think the translucency is there more to indicate that you have 'picked up' the window for moving, so in that regard I find this useful, and would rather it stayed on.

valorie renamed this task from Turn off translucency when moving and resizing windows to Turn off translucency when moving and resizing windows - Resolved WONTFIX.Mar 31 2018, 8:22 PM
ngraham closed this task as Wontfix.Apr 1 2018, 1:14 AM